commit 86e5b23559e50f107620aefeb52f4a856f988421
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Apr 5 11:27:10 2024 +0100

    SRS: fix encode for local-part with zero-length quoted element.  Bug 3087

diff --git a/src/src/expand.c b/src/src/expand.c
index 5ea4dc6d4..1d121756d 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -7117,7 +7117,7 @@ while (*s)
 	    gstring_release_unused(h);
 	    s = string_from_gstring(h);
 	    }
-	  g = string_cat(g, s);
+	  if (s) g = string_cat(g, s);
 	  }
 
 	/* Assume that if the original local_part had quotes
